//***************************************************************************
// DEX - The Company Data Examiner
//***************************************************************************
// Copyright (C) 1999	Barry Hoggard <hoggardb@panix.com>
//
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
//***************************************************************************

package DEX;

import java.util.*;
import gnu.regexp.*;
/**
 * Enumerates a string containing table rows (TR)
 */
public class TableRowEnumeration
{
	String parseStr;
	RE regex;
	REMatchEnumeration enumerator;	
/**
 * Constructor for class.
 * @param str the string to parse for table rows
 */
public TableRowEnumeration(String str) throws REException
{
	regex = new RE("<tr.*?>(.*?)</tr>", 
		RE.REG_MULTILINE | RE.REG_ICASE | RE.REG_DOT_NEWLINE);
	enumerator = regex.getMatchEnumeration(str);
}
public boolean hasMoreElements() 
{
	return enumerator.hasMoreElements();
}
/**
 * return next table data (TD enclosed) element
 */
public String nextElement() 
{
	return enumerator.nextMatch().toString(1);
}
}
